IMFI Bugs - Bug #2910

[HR-Payrolllkaryawan ada attendance di tanggal 24,25,27,28 datang terlambat tapi tidak menghitung
akumulasi keterlambatan

07/22/2024 12:23 PM - Muhammad Bintar

Status: Closed
Priority: Urgent
Assignee: Tri Rizgiaty
Category:

Target version:

Start date: 07/22/2024
Due date: 07/22/2024
% Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

dear tim developer. mohon supportnya untuk perbaikan pada tm to payroll dimana:
Karyawan a/n Ria Puspitasari (20040270) ada terlambat di tanggal 24,25,27,28 di jam 10.30 tapi akumulasi keterlambatan nya tidak

menghitung.

ini sama seperti kasus kemarin, untuk engine nya sudah fix mbak cuma yang sekarang untuk akumulasi keterlambatan nya di
tanggal lain jadi tidak menghitung.
History

#1 - 07/22/2024 02:09 PM - Tri Rizqiaty
- File clipboard-202407221408-myzp9.png added

- Status changed from New to Developing

Fixing :

Update table base_cust_parameter - param : IMFI_HR_TM_Attendance_Code - tambahkan attendacetype yg mau dihitung keterlambatannya.

Untuk case diatas, sudah didaftarkan attendancetype tsb.
Tolong ditest Ig, terimakasih.

SELECT * FROM base cust parameter where param IN ('IMFI_TTP NX WSS8HOUR','IMFI TTP NX WS7HOUR','IMFI HR TM Attendance Code| )
00% -
HH Results ¥ Messages
landscaps__param eq stat date end date  eql  wvall el eq? yal? descrgtion apolication  create_by  create_dt change_by change_dt
1 100 MFI_HR_TM_Attendance_Code 1 18000101 99991231 = P2 = Report IMFI Tax Component minovais  2014-07-21 11:18:12.233  minovais 2014-07-21 11:18:12.233
2 100 IMFI_TTP_NX_WS7HOUR 1 13000107 99991231 = BROv W5Type untuk telat yg keranya 7 Jam minovais  2013-06-05 15:50:00.753  minovais 2013-D6-05 15:50:00.793
3 100 IMFI_TTP_NX_WS7HOUR 2 18000101 99991231 = BRNO W5Type untuk telat yg keranya 7 Jam minovais  2013-06-05 15:50:00.793  minovais 2013-06-05 15:50:00.793
4 100 IMFI_TTP_NX_WS8HOUR 1 18000101 99991231 = HONO W5Type untuk telat yg keranya 8 Jam minovais  2013-06-05 15:50:00.793  minovais 2013-06-05 15:50:00.793
5 100 IMFI_TTP_NX_WS8HOUR 2 18000101 99991231 = HOOv W5Type untuk telat yg keranya 8 Jam minovais  2013-06-05 15:50:00.793  minovais 2013-06-05 15:50:00.793
6 100 IMFI_TTP_NX_WS8HOUR 3 18000101 99991231 = HON1 W5Type untuk telat yg keranya 8 Jam minovais  2013-06-05 15:50:00.793  minovais 2013-06-05 15:50:00.793
7 100 IMFI_TTP_NX_WSBHOUR 4 18000101 99991231 = HOO1 WS Type untuk telat yg kerjanya 8 Jam minovais 20130605 15:50:00.793  minovais 2013-06-05 15:50:00.793
#2 - 07/22/2024 02:09 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Muhammad Bintar
#3 - 07/22/2024 03:41 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to Tri Rizqiaty
